<template>
  <div class="timesheet">
    <div class="timesheet-content">
      <div class="timesheet-title">{{ title }}</div>
      <div class="timesheet-details">{{ dateHumanFormat }}</div>
    </div>
    <div class="timesheet-duration"><span>{{ durationHumanFormat }}</span></div>
    <div class="timesheet-buttons">...</div>
  </div>
</template>

<script>
export default {
  name: "SingleTimesheet",
  props: ["title", "date", "duration"],
  computed: {
    dateHumanFormat: function() {
      return this.$datetimeHelpers.datetoHumanReadableFormat(this.date);
    }, 
    durationHumanFormat: function() {
      return this.$datetimeHelpers.durationtoHumanReadableFormat(this.duration);
    }
  }
};
</script>
 
<style>
.timesheet {
  min-height: 20px;
  border: 1px solid lightgray;
  border-radius: 5px;
  margin-bottom: 5px;
  padding: 15px;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  background-color: white;
}

.timesheet > * {
  flex-grow: 1;
}


.timesheet-title {
  font-size: 17px;
}

.timesheet-details {
  font-size: 12px;
  margin-top: 5px;
}

.timesheet-date {
  flex-grow: 1;
  font-size: 12px;
  color: gray;
  text-align: right;
}

.timesheet-duration {
  text-align: right; 
  padding-right: 10px;
  max-width: 120px;
  font-size: 18px;
  display: flex; 
  flex-direction: column; 
  justify-content: center;
}


.timesheet-content {
  flex-grow: 1;
  text-align: left;
}
.timesheet-buttons {
  max-width: 20px;
  font-size: 25px;
  writing-mode: vertical-lr;
  text-orientation: mixed;
}
</style>
